Issue 13606

Summary: Wrong ruler in text. Correct in header and footer
Product: Writer Reporter: skeeve <cptfhaykseyc>
Component: codeAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.0.2Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
The contents will explain none

Description skeeve 2003-04-18 23:09:23 UTC
If I add a border to my page, I get a wrong ruler for my text whereas the rulers
of header and footer are okay.
Comment 1 skeeve 2003-04-18 23:11:05 UTC
Created attachment 5749 [details]
The contents will explain
Comment 2 skeeve 2003-05-19 11:02:36 UTC
Same issue in SO 6.1 offical Beta 1
Comment 3 jensja 2003-05-22 00:29:02 UTC
Duplicated with OOo 1.1 beta 2 on windows 2000.

There is a (minor) mismatch with the paragraph indentation marks on
the horizontal ruler.

The marks are always shown at the outmost page margins, as set by
format/page/page/margins although text flow actually is affected by
additional indentation due to the "spacing to contents" settings in
format/page/borders.

When moving the indentation marks one can see that the effective
change is offset by the value of the "spacing to contents" value.

This behaviour is not consistent, as it is different eg. from the way
the marks work in text frames.

@Skeeve: 
As stated in your document, your goal was to have a background image
that covers the whole page independent from page margins settings.

This can be achieved by creating a graphics element that is anchored
to the page with "wrap" set to "background".

Imho the way OOo deals with page background images can be found
reasonable and consistent. OTOH your report shows that there is a
shortcoming in functionality. 

if you're not satisfied with the workaround offered above I'd suggest
 you file a _feature_ request.
Comment 4 skeeve 2003-05-22 07:56:02 UTC
> This can be achieved by creating a graphics element that is anchored
> to the page with "wrap" set to "background".
This is inacceptable for several reason:
1. You can't insert the graphic in the header or footer which has the 
consequence that you'll have to do it by hand on every page.
   This is no solution for template documents
2. If you do it, your text becomes un-editable because every click 
will select the "background" image.

> if you're not satisfied with the workaround offered above I'd
> suggest you file a _feature_ request.
I will try and find out how to do that.
Comment 5 h.ilter 2003-05-22 10:16:09 UTC
Reassigned to ES
Comment 6 jensja 2003-05-29 06:57:32 UTC
Setting target for ruler issue to OOo 2.0.
Page background is handled with in issue 14732 and Issue 9370.
Comment 7 eric.savary 2003-11-07 17:43:59 UTC
ES->OS: I remember we already fixed this for tables and frames but
it's still a problem for page and header/footer.

Description: when a border is applied to the page and a distance text
<-> border is set, the paragraph boundary marks (1st line, rest of the
text and right margin) in the ruler start from the border though they
should start from the text area.  
Comment 8 Oliver Specht 2003-11-21 15:06:46 UTC
.
Comment 9 Marcus 2017-05-20 11:20:02 UTC
Reset assigne to the default "issues@openoffice.apache.org".